# tblcoll.h File Reference

C++ API: RuleBasedCollator class provides the simple implementation of Collator. More...

`#include "unicode/utypes.h"`
`#include "unicode/coll.h"`
`#include "unicode/ucol.h"`
`#include "unicode/sortkey.h"`
`#include "unicode/normlzr.h"`

Go to the source code of this file.

## Data Structures
class | RuleBasedCollator
| The RuleBasedCollator class provides the simple implementation of Collator, using data-driven tables. More...

## Detailed Description

C++ API: RuleBasedCollator class provides the simple implementation of Collator.

Definition in file tblcoll.h.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines